//
// Giuseppe Vacanti, November 1999
//
// Dirty task to stitch up CCF constituents.
//
#include <string>
#include <vector>

#include <Dal.h>
#include <Tracer.h>
#include <errstr.h>
#include <param.h>

#include <STime.h>

#include "ccfextseq.h"

void ccfextseq ()
{
  PROC
    
  STime now("now");

  vector<string> sets = stringListParameter("sets");
  for (unsigned j = 0; j < sets.size(); j++) {    
    vector<string> names;    
    DataSet* set = dataSetServer->open(sets[j], Dal::Modify);
    for (unsigned i = 0; i < set->blocks(); i++) {
      names.push_back(set->block(i)->name());
    }
    string extsequ, extseqid;
    extsequ = "ANY";
    cout << "Extensions found in " + sets[j] << endl;
    for (unsigned i = 0; i < names.size() ; i++) {
      cout << "    .... " << names[i] << endl;
      extseqid += (names[i] + " ");
    }
    *set->addAttribute("EXTSEQID") = extseqid;
    *set->addAttribute("EXTSEQU") = extsequ;
    if(set->hasAttribute("SUBDATE"))
      set->deleteAttribute("SUBDATE");
    *set->addAttribute("SUBDATE") = now.toString(0).c_str();
    cout << "The submission date is set to: "
	 << now.toString(0) << endl;
    if(set->hasAttribute("CREATOR"))
      set->deleteAttribute("CREATOR");
    *set->addAttribute("CREATOR") = "deceit";
    dataSetServer->close(set);
  }

  ENDPROC
}
